Delete Component Asset
curl --request DELETE \
--url https://api.example.com/app/v1/organizations/{organizationId}/projects/{projectId}/components/{componentId}/assets/{assetId}import requests
url = "https://api.example.com/app/v1/organizations/{organizationId}/projects/{projectId}/components/{componentId}/assets/{assetId}"
response = requests.delete(url)
print(response.text)const options = {method: 'DELETE'};
fetch('https://api.example.com/app/v1/organizations/{organizationId}/projects/{projectId}/components/{componentId}/assets/{assetId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Component Assets
Delete Component Asset
Delete an asset from a component
DELETE
/
app
/
v1
/
organizations
/
{organizationId}
/
projects
/
{projectId}
/
components
/
{componentId}
/
assets
/
{assetId}
Delete Component Asset
Path Parameters
string
required
Organization ID
string
required
Project ID
string
required
Component ID
string
required
Asset ID
Assets referenced by published packages cannot be deleted. The asset must not be included in any package.
Response
{
"message": "Component asset successfully deleted"
}
Error Responses
Asset Not Found
{
"error": {
"code": "NOT_FOUND",
"message": "Component asset not found"
}
}
Code Examples
curl -X DELETE "https://api.metabind.ai/app/v1/organizations/org123/projects/proj456/components/c123/assets/asset123" \
-H "Authorization: Bearer YOUR_JWT"
const response = await fetch(
'https://api.metabind.ai/app/v1/organizations/org123/projects/proj456/components/c123/assets/asset123',
{
method: 'DELETE',
headers: {
'Authorization': 'Bearer YOUR_JWT'
}
}
);
const result = await response.json();
console.log(result.message);